<?php
/**
 * Doctrine N+1対応を アノテーションで行う例
 */
require_once "vendor/autoload.php";

use Doctrine\ORM\Tools\Setup;
use Doctrine\ORM\EntityManager;


// Entityの定義
/**
 * @Entity @Table(name="prefecture")
 **/
class Region
{
    /** @Id @Column(type="integer") @GeneratedValue **/
    protected $id;
    /** @Column(type="string") **/
    protected $name;

    public function getId()
    {
        return $this->id;
    }

    public function getName()
    {
        return $this->name;
    }
    public function setName(string $name)
    {
        $this->name = $name;
    }
}

/**
 * @Entity @Table(name="prefecture")
 **/
class Prefecture
{
    /** @Id @Column(type="integer") @GeneratedValue **/
    protected $id;
    /** @Column(type="string") **/
    protected $name;
    /**
     * Regioonクラスをregion_idで参照
     * fetch="EAGER" を指定
     * @ManyToOne(targetEntity="Region", fetch="EAGER") 
     * @JoinColumn(name="region_id", referencedColumnName="id")
     */
    private $region;
    public function getId()
    {
        return $this->id;
    }
    public function getName()
    {
        return $this->name;
    }
    public function setName(string $name)
    {
        $this->name = $name;
    }
    public function getRegion()
    {
        return $this->region;
    }
    public function setRegion(Region $region)
    {
        $this->region = $region;
    }
}

// セットアップ
$config = Setup::createAnnotationMetadataConfiguration([], true);
$connectionParams = [
    'url' => 'mysql://demo:demo@127.0.0.1/demo',
];
$conn = \Doctrine\DBAL\DriverManager::getConnection($connectionParams);

$entityManager = EntityManager::create($conn, $config);

// 発行されるSQLの確認のための準備
$stack = new \Doctrine\DBAL\Logging\DebugStack();
$entityManager->getConnection()->getConfiguration()->setSQLLogger($stack);

// リポジトリからデータを取得する
$repository = $entityManager->getRepository('Prefecture');
// 全件取得
$prefectures = $repository->findAll();

// 発行されたSQLを確認
print_r($stack);

