<?php
/**
 * Eloquent
 */
require_once "vendor/autoload.php";

use Illuminate\Database\Capsule\Manager as Capsule;

// モデルの定義
class Prefecture extends 
  Illuminate\Database\Eloquent\Model
{
    protected $table = 'prefecture';
    public function region()
    {
     // Regionクラスを参照している
        return $this->belongsTo('Region'); 
    }
}

class Region extends Illuminate\Database\Eloquent\Model
{
    protected $table = 'region';
}

// 事前準備
$capsule = new Capsule;
$capsule->addConnection([
    'driver'    => 'mysql',
    'host'      => '127.0.0.1',
    'database'  => 'demo',
    'username'  => 'demo',
    'password'  => 'demo',
]);
$capsule->bootEloquent();

// ログを有効
$capsule->getConnection()->enableQueryLog();

$prefecture = Prefecture::find(30);
echo $prefecture->name; // 和歌山県

echo PHP_EOL;

// INSERT UPDATE
class User extends Illuminate\Database\Eloquent\Model
{
    protected $table = 'user';
}



$user = new User;
$user->name = '前田';
$user->save();

$user->name = '山田';
$user->save();

// N+1対応
$prefectures = Prefecture::with('region')->get();

// 発行されたクエリを確認
print_r($capsule->getConnection()->getQueryLog());