<?php
/**
 * Eloquent クエリビルダ
 */
require_once "vendor/autoload.php";

use Illuminate\Database\Capsule\Manager as Capsule;

// 事前準備
$capsule = new Capsule;
$capsule->addConnection([
    'driver'    => 'mysql',
    'host'      => '127.0.0.1',
    'database'  => 'demo',
    'username'  => 'demo',
    'password'  => 'demo',
]);
$capsule->bootEloquent();

// ログを有効
$capsule->getConnection()->enableQueryLog();

// モデルを用意
class Prefecture extends 
  Illuminate\Database\Eloquent\Model
{
    protected $table = 'prefecture';
    public function region()
    {
     // Regionクラスを参照している
        return $this->belongsTo('Region'); 
    }
}

class Region extends Illuminate\Database\Eloquent\Model
{
    protected $table = 'region';
}

// SELECT
$prefectures = $capsule->getConnection()->table('prefecture')
->where([['name', 'LIKE', '%山%']])
->get();

// JOIN有り
$prefectures = $capsule->getConnection()->table('prefecture')
->join('region', 'region_id', '=', 'region.id')
->select('prefecture.*', 'region.name as region_name')
->get();

// 直接SQLを書く
$prefectures = $capsule->getConnection()
->select('select * from prefecture where name LIKE :name',
          ['name' => '%山%']);

print_r($capsule->getConnection()->getQueryLog());