<?php
/**
 * 条件句を組み立てたい場合はクエリビルダを検討する
 */
require 'vendor/autoload.php';

$regionId = '6';
$name1 = '山';
$name2 = '広';
$desc = true;
use Aura\SqlQuery\QueryFactory;

$queryFactory = new QueryFactory('mysql');
$select = $queryFactory->newSelect();
$select
    ->cols(['id', 'name'])
    ->from('prefecture')
    ->where('region_id = :region_id')
    ->where('(name LIKE :name1 OR name LIKE :name2)');
// SQLの動的構築を避けるために条件分岐
if($desc === true) {
    $select->orderBy(['id DESC']);
} else {
    $select->orderBy(['id']);
}
$select->bindValues([
    ':region_id' => $regionId,
    ':name1' => '%' . $name1 . '%',
    ':name2' => '%' . $name2 . '%',
]);

print_r($select->getStatement());
echo PHP_EOL;
print_r($select->getBindValues());